# Delete a client key

Deletes a specified client key. Pass the ID of the key that you want to delete as a path parameter. It may take up to 10 minutes for the key to be fully removed after calling the API.

Endpoint: DELETE /api/v1.1/client-keys/{keyId}
Version: v1.1
Security: AdministrationAccess

## Security:

  - `AdministrationAccess` (unknown)
    http bearer JWT

## Path parameters:

  - `keyId` (string, required)
    Public key ID.

## Response 200:

  - `200` (unknown)
    OK. The request succeeded in its entirety.

## Response 400:

  - `400` (unknown)
    Bad Request. Check the request for any errors in the input.

## Response 401:

  - `401` (unknown)
    Unauthorized. Check authentication details.

## Response 404:

  - `404` (unknown)
    Resource not found. The requested resource is not available.

